/*
 * Created on Tue Mar 07 2023
 *
 * Copyright (C) 2023 PixelApps - All Rights Reserved
 * The code in this file is Intellectutal Property of PixelApps
 * and can't be edited, redistributed or used without a valid license of it's product (Welltested)[https://welltested.ai]
 */
///Annotate classes with [Welltested] to generate unit tests for it's methods.
///
///Param: [excludedMethods] accepts functions to be excluded from testing.
class Welltested {
  final List<String> excludedMethods;
  final List<ScreenType> screenTypes;
  const Welltested(
      {this.excludedMethods = const [],
      this.screenTypes = const [ScreenType.Mobile]});
}

enum ScreenType { Mobile, Tablet, Web }
